List Bookings

Search bookings using query parameters and get the complete booking objects. Atleast one of employeeEmail or demandId is required in filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

Specifies the offset value to start for the page

integer

Specifies the number of entries to be returned for the page

string

Filter on employee's email

string

Filter on Eightfold demand id

string

The start date of the period for which you want to filter bookings. This parameter accepts an epoch timestamp. Only bookings that end on or after this date will be included in the response.

string

The end date of the period for which you want to filter bookings. This parameter accepts an epoch timestamp. Only bookings that start on or before this date will be included in the response.

string

Filter on booking type. Possible values: ['demand', 'leave', 'optional_holiday', 'blocker']

string

Filter on booking status. Possible values: ['pending', 'approved', 'rejected']

string

Include additional fields in the response. Possible values are extData

string

Exclude specific fields in the response. Possible values are the names of the top level fields present in corresponding API schema. To check API schema, expand the response section below.

string

Allows selective control over the fields returned in the API response. If the keyList is empty, all fields will be returned. Possible values are the names of the top level fields present in corresponding API schema. To check API schema, expand the response section below.

Headers
string
required

The secret key to access the api. It starts with the bearer token

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json